// Flutter imports:
import 'package:flutter/material.dart' show ThemeMode;

/// Расширение [ThemeMode]
extension ThemModeExtension on ThemeMode {
  ///
  /// Получение инверсивного [ThemeMode]
  ///
  ThemeMode get inversed {
    switch (this) {
      case ThemeMode.system:
        return ThemeMode.light;

      case ThemeMode.light:
        return ThemeMode.dark;

      case ThemeMode.dark:
        return ThemeMode.light;
    }
  }
}
